Bug 336470 - lens blur shows tile artefacts
Summary: lens blur shows tile artefacts
Status: RESOLVED FIXED
Alias: None
Product: krita
Classification: Unclassified
Component: Filter Layers (show other bugs)
Version: git master (please specify the git hash!)
Platform: unspecified Linux
: NOR normal
Target Milestone: ---
Assignee: Krita Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-19 18:55 UTC by Halla Rempt
Modified: 2014-07-24 15:40 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Halla Rempt 2014-06-19 18:55:00 UTC
Using lens blur in a filter layer gives tile artefacts.

Reproducible: Always
Comment 1 Dmitry Kazakov 2014-06-20 11:21:12 UTC
Git commit f0dbb2e7be181513cbd651a2b8868beb11c64bcf by Dmitry Kazakov.
Committed on 20/06/2014 at 11:20.
Pushed by dkazakov into branch 'master'.

Fix Lens Blur filter artifacts when used as an Adjustment Layer

M  +67   -34   krita/plugins/filters/blur/kis_lens_blur_filter.cpp
M  +9    -0    krita/plugins/filters/blur/kis_lens_blur_filter.h
M  +7    -0    krita/plugins/filters/blur/kis_wdg_lens_blur.cpp

http://commits.kde.org/calligra/f0dbb2e7be181513cbd651a2b8868beb11c64bcf
Comment 2 Halla Rempt 2014-07-24 15:40:41 UTC
Git commit 6d7a16d09fcbc29453cb1a434acafce0140a8e29 by Boudewijn Rempt, on behalf of Dmitry Kazakov.
Committed on 20/06/2014 at 11:20.
Pushed by rempt into branch 'calligra/2.8'.

Fix Lens Blur filter artifacts when used as an Adjustment Layer

M  +67   -34   krita/plugins/filters/blur/kis_lens_blur_filter.cpp
M  +9    -0    krita/plugins/filters/blur/kis_lens_blur_filter.h
M  +7    -0    krita/plugins/filters/blur/kis_wdg_lens_blur.cpp

http://commits.kde.org/calligra/6d7a16d09fcbc29453cb1a434acafce0140a8e29